<?php
/*
Plugin Name: Zero Conf Mail
Plugin URI: http://www.nkuttler.de/wordpress/zero-conf-mail/
Author: Nicolas Kuttler
Author URI: http://www.nkuttler.de/
Description: Mail form that doesn't need any configuration.
Version: 0.4.0.1
Text Domain: zero-conf-mail
*/

/**
 * This file		Functions that are always needed
 * inc/admin.php	Admin stuff
 * inc/page.php		Things only needed when the shortcode is on a page/post
 */

/**
 * Check if we run as admin and load all that is needed
 */
function zcmail_load() {
	add_action( 'init', 'zcmail_load_translation_file' );

	$option = get_option( 'zcmail' );
	if ( $option['config']['css'] == 'Enabled' ) {
		require_once( 'inc/page.php' );
		add_action( 'wp_head', 'zcmail_include_css' );
	}

	if (is_admin()) {
		require_once( 'inc/admin.php' );
		require_once( 'inc/page.php' );
		add_action( 'admin_menu', 'zcmail_add_pages' );
		register_activation_hook( __FILE__, 'zcmail_activate' );
		register_uninstall_hook( __FILE__, 'zcmail_uninstall' );
	}
	else {
		require_once( 'inc/page.php' );
		add_shortcode( 'zcmail', 'zcmail_shortcode' );
	}
}
zcmail_load();

/**
 * The shortcode.
 *
 * @return string the zero conf mail form
 */
function zcmail_shortcode() {
	add_action( 'init', 'zcmail_load_translation_file' );
	return zcmail_post2mail();
}

/**
 * Load Translations
 */
function zcmail_load_translation_file() {
	$plugin_path = plugin_basename( dirname( __FILE__ ) .'/translations' );
	load_plugin_textdomain( 'zero-conf-mail', '', $plugin_path );
}

?>
